summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorLouis Solofrizzo2019-12-26 17:30:10 +0100
committerLouis Solofrizzo2019-12-26 17:30:10 +0100
commit2064c778601074874009b70fc71e39dfa893847b (patch)
tree5cf7145904ef90f1164d6f136625aa1e9ef29e66 /PKGBUILD
downloadaur-cisco-git.tar.gz
cisco-git: Add PKGBUILD and .SRCINFO
Signed-off-by: Louis Solofrizzo <lsolofrizzo@online.net>
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD34
1 files changed, 34 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..87322f24825
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,34 @@
+# Maintainer: Louis Solofrizzo <louis@ne02ptzero.me>
+_pkgname=cisco
+pkgname="${_pkgname}-git"
+pkgver=1.0.r6.gad52a41
+pkgrel=1
+pkgdesc="Shitty home cloud"
+arch=("i686" "x86_64" "arm" "armv6h" "armv7h" "aarch64")
+url="https://git.mobley.ne02ptzero.me/~louis/cisco"
+license=("GPL3")
+makedepends=("cmake" "git" "go" "gcc")
+provides=("cisco")
+conflicts=("cisco")
+source=("${_pkgname}::git+${url}")
+md5sums=("SKIP")
+
+pkgver() {
+ git -C "${_pkgname}" describe --long --tags | sed "s/-/.r/;s/-/./g"
+}
+
+prepare() {
+ git -C "${_pkgname}" submodule update --init --recursive
+ mkdir -p "${_pkgname}/build"
+}
+
+build() {
+ cd "${_pkgname}/build" || exit 1
+ cmake -DCMAKE_INSTALL_PREFIX=/usr ..
+ cmake --build .
+}
+
+package() {
+ cmake --build "${_pkgname}/build" --target install -- DESTDIR="${pkgdir}"
+ install -Dm644 "${_pkgname}/LICENSE" "${pkgdir}/usr/share/licenses/${_pkgname}/LICENSE"
+}